base-compat-0.13.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Word.Compat

Synopsis

- module Data.Word
- byteSwap16 :: Word16 -> Word16
- byteSwap32 :: Word32 -> Word32
- byteSwap64 :: Word64 -> Word64

# Documentation

module Data.Word

byteSwap16 :: Word16 -> Word16 Source #

Reverse order of bytes in `Word16`.

Since: base-4.7.0.0

byteSwap32 :: Word32 -> Word32 Source #

Reverse order of bytes in `Word32`.

Since: base-4.7.0.0

byteSwap64 :: Word64 -> Word64 Source #

Reverse order of bytes in `Word64`.

Since: base-4.7.0.0